import request from '@/utils/request'

// 查询商品信息列表
export function listInfo(query) {
  return request({
    url: '/product/info/list',
    method: 'get',
    params: query
  })
}

// 查询商品信息详细
export function getInfo(id) {
  return request({
    url: '/product/info/' + id,
    method: 'get'
  })
}
// 查询商品信息详细
export function getDetailInfo(id) {
  return request({
    url: '/product/info/detail/' + id,
    method: 'get'
  })
}

// 新增商品信息
export function addInfo(data) {
  return request({
    url: '/product/info',
    method: 'post',
    data: data
  })
}

// 修改商品信息
export function updateInfo(data) {
  return request({
    url: '/product/info/'+data.id,
    method: 'put',
    data: data
  })
}

// 删除商品信息
export function delInfo(id) {
  return request({
    url: '/product/info/' + id,
    method: 'delete'
  })
}
